Bug 1112182 - top level menu item "Content" visible to normal user without any permission
Summary: top level menu item "Content" visible to normal user without any permission
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Jan Hutař
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-23 09:49 UTC by Sachin Ghai
Modified: 2017-02-23 21:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1112750 (view as bug list)
Environment:
Last Closed: 2015-08-12 05:09:44 UTC


Attachments (Terms of Use)
normal user can see content and Hosts menu. Content Menu doesn't list any other entity to select but hosts menus does show the 'All Hosts" (139.43 KB, image/png)
2014-06-23 09:49 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6362 None None None 2016-04-22 16:10:53 UTC

Description Sachin Ghai 2014-06-23 09:49:21 UTC
Created attachment 911371 [details]
normal user can see content and Hosts menu. Content Menu doesn't list any other entity to select but hosts menus does show the 'All Hosts"

Description of problem:
I created a simple user in "Any context" mode and did not assign any location, org and roles. But following menus are visible to that user.

Ideally user shouldn't be allowed to have access to any of menu items without any permission. Though content menu doesn't list sub menus but Hosts menu shows "All Hosts" and user can see the created hosts. 

Version-Release number of selected component (if applicable):
sat6 beta snap10 compose2

How reproducible:
always 

Steps to Reproduce:
1. Login with admin user
2. create a user in "Any context" and do not assign location and org
3. logout with admin user and login with newly created user

Actual results:
User can see Content menu and Hosts --> All hosts

Expected results:
user shouldn't be allowed to have access to any of menu items without any permission

Additional info:

Comment 2 Dominic Cleal 2014-06-24 15:20:23 UTC
The user probably has the view_hosts permission inherited through the anonymous role.

Comment 3 Dominic Cleal 2014-06-24 15:49:34 UTC
I've split this BZ into two - the stuff about "all hosts" is now bug #1112750.  This bug will remain for the content menu issue, which if I understand the description correctly, is that an empty top-level menu is present even when the user has permission for nothing inside it.

Comment 4 Dominic Cleal 2014-06-24 15:50:05 UTC
Created redmine issue http://projects.theforeman.org/issues/6362 from this bug

Comment 5 Bryan Kearney 2014-08-12 12:17:46 UTC
moving to 6.1

Comment 6 Bryan Kearney 2014-08-12 12:18:30 UTC
moving to 6.1

Comment 7 Bryan Kearney 2015-01-24 19:02:41 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6362 has been closed
-------------
Anonymous
Applied in changeset commit:795b9287bae5ee941331e4291eec6570e8a1ce62.

Comment 11 Bryan Kearney 2015-08-11 13:18:49 UTC
This bug is slated to be released with Satellite 6.1.

Comment 12 errata-xmlrpc 2015-08-12 05:09:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.